
# A program to test all true knowledge

true = 1
false = 0

def menu_options():
	menu_choice = 0
	while menu_choice != 3:
		print "----------------"
		print "1. Take the test"
		print "2. View all questions and answers"
		print "3. Quit"
		menu_choice = input("Choose an option (1-3): ")
		if menu_choice == 1:
			run_test(get_questions())
		elif menu_choice == 2:
			view_all(get_questions())


# First get the test questions
# Later this will be modified to use file io.
def get_questions():
	#Notice how the data is stored as a list of lists
	return [["What color is the daytime sky on a clear day? ","blue"],\
		["What is the answer to life, the universe, and everything? ","42"],\
		["What is a three letter word for mouse trap? ","cat"],\
		["What sound does a truly advanced machine make? ","ping"]]

# This will display all the questions and answers
def view_all(view_list):
	if len(view_list) == 0:
		print "No questions or answers were given."
		return
	else:
		c = 0
		while c < len(view_list):
			print 'view_list[',c,']=',view_list[c]
			c = c + 1
	
# This will test a sing question
# it takes a single question in
# it returns true if the user typed the correct answer, else false
def check_question(question_and_answer):
	# Extrace the question and the answer from the list
	question = question_and_answer[0]
	answer = question_and_answer[1]
	# Give the question to the user
	given_answer = raw_input(question)
	# Compare the users answer to the testers
	if answer == given_answer:
		print "Correct, congrats. :p"
		return true
	else:
		print "Incorrect, the correct answer was:",answer
		return false

# This will run through all the questions
def run_test(questions):
	if len(questions) == 0:
		print "No questions were given."
		# The return exits the function
		return
	index = 0
	right = 0
	while index < len(questions):
		# Check the question
		if check_question(questions[index]):
			right = right + 1
		# Go to the next question
		index = index + 1
	# Notice the order of computation, order of operations. :p
	print "You got ",right*100/len(questions),"% right out of",len(questions)

# Now lets run the menu

menu_options()


